// Imbibing this substance grants the user the Painless Creature Trait.
const hasPainless = this.actor.has("Insensible à la douleur");
if (hasPainless === undefined)
{
  let item = await fromUuid("Compendium.wfrp4e-core.items.wMwSRDmgiF2IdCJr");
  let data = item.toObject()
  this.actor.createEmbeddedDocuments("Item", [data], {fromEffect: this.effect.id})

  this.script.scriptMessage(
  `<p><strong>${this.actor.prototypeToken.name}</strong> a acquis le Trait de Créature Insensible à la douleur. Cet
    effet dure une heure, après quoi il se dissipe et l'effet complet
    de toutes les blessures du buveur s'abat d'un coup.</p>
    <p>Notez que cela n'empêche pas l'utilisateur d'acquérir une Blessure Critique
    ou d'en mourir. Cela leur permet simplement d'ignorer la plupart
    de leurs effets.</p>`,
    { whisper: ChatMessage.getWhisperRecipients("GM"), blind: true})
}